database_api.list_smt_tokens
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
Liste les SMT (jetons médiatiques intelligents). Paramètres : start:object ; limit:int ; order:string
startdépend deorder(voir ci-dessous)limitest limité à 1000.orderpeut être l'un des suivants :by_symbol- tri par symbole (symbol)by_control_account- tri par compte de contrôle (control account)
| start (object) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | {"nai": "@@422838704", "decimals": 0} | 10 | by_symbol | liste 10 tokens, triés par symbole | | "" | 10 | by_control_account | liste 10 tokens, triés par compte de contrôle | | ["", {"nai": "@@422838704", "decimals": 0}] | 10 | by_control_account | liste 10 tokens, triés par compte de contrôle, symbole |
Voir : Smart Media Tokens (SMTs)
Voir aussi : Paginated API Methods
Parameters
{
"start": null,
"limit": 0,
"order": "by_symbol"
}⚠ Cette méthode est dépréciée (ère SMT, jetons médiatiques intelligents) et n’est plus fournie par les nœuds publics.
Example
Example 1
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": {
"nai": "@@422838704",
"decimals": 0
},
"limit": 10,
"order": "by_symbol"
},
"id": 1
}'Example 2
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": "",
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Example 3
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": [
"",
{
"nai": "@@422838704",
"decimals": 0
}
],
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Response
{
"tokens": [
{
"token": {
"id": 0,
"liquid_symbol": {
"nai": "@@422838704",
"decimals": 0
},
"control_account": "alice",
"phase": "setup",
"current_supply": 0,
"total_vesting_fund_smt": 0,
"total_vesting_shares": 0,
"total_vesting_fund_ballast": 0,
"total_vesting_shares_ballast": 0,
"pending_rewarded_vesting_shares": 0,
"pending_rewarded_vesting_smt": 0,
"reward_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"recent_claims": "0",
"last_reward_update": "1970-01-01T00:00:00",
"last_virtual_emission_time": "1970-01-01T00:00:00",
"allow_downvotes": true,
"market_maker": {
"steem_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"token_balance": {
"amount": "0",
"precision": 0,
"nai": "@@422838704"
},
"reserve_ratio": 0
},
"allow_voting": true,
"cashout_window_seconds": 3600,
"reverse_auction_window_seconds": 900,
"vote_regeneration_period_seconds": 432000,
"votes_per_regeneration_period": 50,
"content_constant": "2000000000000",
"percent_curation_rewards": 2500,
"author_reward_curve": "linear",
"curation_reward_curve": "square_root",
"max_supply": 0
}
}
]
}